Resource

On-Call Duty Execution Log

Logs for on-call duty policy execution.

The On-Call Duty Execution Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to On-Call Policy which belongs to this execution log event.

  • Name
    onCallDutyPolicyId
    Type
    Object IDRequired
    Description

    ID of your On-Call Policy which belongs to this execution log event.

  • Name
    triggeredByIncident
    Type
    Incident
    Description

    Relation to Incident which triggered this on-call duty policy.

  • Name
    triggeredByIncidentId
    Type
    Object ID
    Description

    ID of the incident which triggered this on-call escalation policy.

  • Name
    triggeredByAlert
    Type
    Alert
    Description

    Relation to Alert which triggered this on-call duty policy.

  • Name
    triggeredByAlertId
    Type
    Object ID
    Description

    ID of the incident which triggered this on-call escalation policy.

  • Name
    triggeredByAlertEpisode
    Type
    Alert Episode
    Description

    Relation to the alert episode which triggered this on-call escalation policy.

  • Name
    triggeredByAlertEpisodeId
    Type
    Object ID
    Description

    ID of the alert episode which triggered this on-call escalation policy.

  • Name
    triggeredByIncidentEpisode
    Type
    Incident Episode
    Description

    Relation to the incident episode which triggered this on-call escalation policy.

  • Name
    triggeredByIncidentEpisodeId
    Type
    Object ID
    Description

    ID of the incident episode which triggered this on-call escalation policy.

  • Name
    status
    Type
    TextRequired
    Description

    Status of this execution

  • Name
    statusMessage
    Type
    Long TextRequired
    Description

    Status message of this execution

  • Name
    userNotificationEventType
    Type
    TextRequired
    Description

    Type of event that triggered this on-call duty policy.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    acknowledgedByUser
    Type
    User
    Description

    Relation to User who acknowledged this policy execution (if this policy was acknowledged by a User)

  • Name
    acknowledgedByUserId
    Type
    Object ID
    Description

    User ID who acknowledged this object (if this object was acknowledged by a User)

  • Name
    acknowledgedAt
    Type
    Date
    Description

    When was this policy execution acknowledged?

  • Name
    acknowledgedByTeam
    Type
    Entity
    Description

    Relation to Team who acknowledged this policy execution (if this policy was acknowledged by a Team)

  • Name
    acknowledgedByTeamId
    Type
    Object ID
    Description

    Team ID who acknowledged this object (if this object was acknowledged by a Team)

  • Name
    lastExecutedEscalationRuleOrder
    Type
    Number
    Description

    Which escalation rule was executed?

  • Name
    lastEscalationRuleExecutedAt
    Type
    Date
    Description

    When was the escalation rule executed?

  • Name
    lastExecutedEscalationRule
    Type
    Escalation Rule
    Description

    Relation to On-Call Policy Last Executed Escalation Rule.

  • Name
    lastExecutedEscalationRuleId
    Type
    Object ID
    Description

    ID of your On-Call Policy Last Executed Escalation Rule.

  • Name
    executeNextEscalationRuleInMinutes
    Type
    Number
    Description

    How many minutes should we wait before executing the next escalation rule?

  • Name
    onCallPolicyExecutionRepeatCount
    Type
    NumberRequired
    Description

    How many times did we execute this on-call policy?

  • Name
    triggeredByUser
    Type
    User
    Description

    Relation to User who triggered on-clal policy

  • Name
    triggeredByUserId
    Type
    Object ID
    Description

    User ID who triggered this on-call policy

GETorPOST/api/on-call-duty-policy-execution-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Duty Execution Log. By default, a maximum of ten On-Call Duty Execution Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-execution-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyId": true,
    "projectId": true,
    "status": true,
    "statusMessage": true,
    "userNotificationEventType": true
  },
  "query": {
    "status": "Executing"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37769ac0-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Executing",
      "statusMessage": "On-call policy execution started. Notifying primary on-call team members.",
      "userNotificationEventType": "IncidentCreated"
    },
    {
      "_id": "37769ac1-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Executing",
      "statusMessage": "On-call policy execution started. Notifying primary on-call team members.",
      "userNotificationEventType": "IncidentCreated"
    },
    {
      "_id": "37769ac2-28fe-11f1-b591-3fdcef396aba",
      "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "status": "Executing",
      "statusMessage": "On-call policy execution started. Notifying primary on-call team members.",
      "userNotificationEventType": "IncidentCreated"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-execution-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Duty Execution Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-execution-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "onCallDutyPolicyId": true,
    "projectId": true,
    "status": true,
    "statusMessage": true,
    "userNotificationEventType": true
  }
}

Response

{
  "_id": "37769ac0-28fe-11f1-b591-3fdcef396aba",
  "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "status": "Executing",
  "statusMessage": "On-call policy execution started. Notifying primary on-call team members.",
  "userNotificationEventType": "IncidentCreated"
}
POST/api/on-call-duty-policy-execution-log/count

Count

This endpoint allows you to retrieve the count of all your On-Call Duty Execution Log.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-execution-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Executing"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-execution-log

Create On-Call Duty Execution Log

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-execution-log
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
    "onCallPolicyExecutionRepeatCount": 3,
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "status": "Executing",
    "statusMessage": "On-call policy execution started. Notifying primary on-call team members."
  }
}

Response

{
  "_id": "37769ac0-28fe-11f1-b591-3fdcef396aba",
  "onCallDutyPolicyId": "e5f6a7b8-c9d0-1234-ef01-345678901234",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "status": "Executing",
  "statusMessage": "On-call policy execution started. Notifying primary on-call team members.",
  "userNotificationEventType": "IncidentCreated"
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Duty Execution Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy Execution Log
  • Read All Project Resources

Create Permissions

Required to create On-Call Duty Execution Log

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Duty Policy Execution Log

Update Permissions

Required to update On-Call Duty Execution Log

This resource cannot be updated via the API

Delete Permissions

Required to delete On-Call Duty Execution Log

This resource cannot be deleted via the API